function onBegin()
    player.ForceCameraUpdate = true
    disableMovement()
    walk (180,false,0.8)
    wait (0.5)
    walk (-28,false,0.8)
    wait (0.3)
    player.DummyAutoAnimate = false
    player.Sprite:Play("duck", true, false)
	playMusic ("event:/darkmoon_ruins_6", 0)
    wait (1.4)
    player.DummyAutoAnimate = true
    setFlag ("whitebg",true)
    wait (1)
    setCameraOffset(0, 0)
    teleportTo (90608,-6128,"ending")
end


function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end